# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name maccatcher

Name:           ghc-%{pkg_name}
Version:        2.1.5
Release:        1%{?dist}
Summary:        Obtain the host MAC address on *NIX and Windows

License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-binary-devel
BuildRequires:  ghc-parsec-devel
BuildRequires:  ghc-process-devel
# End cabal-rpm deps

%description
Obtain the host MAC address on *NIX and Windows.


%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name} = %{version}-%{release}

%description devel
This package provides the development files for the Haskell %{pkg_name} library.


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%doc LICENSE README CONTRIBUTORS


%files devel -f %{name}-devel.files


%changelog
* Sat Jun 15 2013 Fedora Haskell SIG <haskell@lists.fedoraproject.org> - 2.1.5-1
- spec file generated by cabal-rpm-0.8.1
